> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete sub user

> Delete specified sub user



## OpenAPI

````yaml /api-reference/jero_public_api.yaml delete /v2/sub-users/{sub_user_id}
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/sub-users/{sub_user_id}:
    delete:
      tags:
        - Sub-users
      summary: Delete sub user
      description: Delete specified sub user
      operationId: delete-sub-user
      parameters:
        - name: sub_user_id
          in: path
          description: '"Get sub users" received sub user ID'
          schema:
            type: integer
            format: int32
          required: true
      responses:
        '204':
          description: '204'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "error_code":"not_found"
                      "message":"Resource not found"
                    }
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````